Check AutoCharge eligibility for a vehicle
curl --request POST \
--url https://api.lynkwell.com/identity/v2/vehicle-eligibility \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vin": "<string>"
}
'import requests
url = "https://api.lynkwell.com/identity/v2/vehicle-eligibility"
payload = { "vin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vin: '<string>'})
};
fetch('https://api.lynkwell.com/identity/v2/vehicle-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lynkwell.com/identity/v2/vehicle-eligibility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'vin' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lynkwell.com/identity/v2/vehicle-eligibility"
payload := strings.NewReader("{\n \"vin\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lynkwell.com/identity/v2/vehicle-eligibility")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"vin\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lynkwell.com/identity/v2/vehicle-eligibility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vin\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"eligible": true,
"reason": "<string>",
"vehicle": {
"make": "<string>",
"model": "<string>",
"year": 123,
"vin": "<string>"
}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}{
"type": "SERVICE_UNAVAILABLE",
"code": "VPIC_UNAVAILABLE",
"message": "<string>"
}Vehicle
Check AutoCharge eligibility for a vehicle
Accepts a VIN or a year/make/model triple. A VIN is decoded via the NHTSA vPIC API (the decode result is the source of truth for year/make/model) and the identified vehicle is checked against the supported-EV list. When a vin is present in the body it decides the vehicle — year/make/model fields are ignored.
POST
/
identity
/
v2
/
vehicle-eligibility
Check AutoCharge eligibility for a vehicle
curl --request POST \
--url https://api.lynkwell.com/identity/v2/vehicle-eligibility \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vin": "<string>"
}
'import requests
url = "https://api.lynkwell.com/identity/v2/vehicle-eligibility"
payload = { "vin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vin: '<string>'})
};
fetch('https://api.lynkwell.com/identity/v2/vehicle-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lynkwell.com/identity/v2/vehicle-eligibility",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'vin' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lynkwell.com/identity/v2/vehicle-eligibility"
payload := strings.NewReader("{\n \"vin\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lynkwell.com/identity/v2/vehicle-eligibility")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"vin\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lynkwell.com/identity/v2/vehicle-eligibility")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vin\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"eligible": true,
"reason": "<string>",
"vehicle": {
"make": "<string>",
"model": "<string>",
"year": 123,
"vin": "<string>"
}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}{
"type": "SERVICE_UNAVAILABLE",
"code": "VPIC_UNAVAILABLE",
"message": "<string>"
}Authorizations
OAuth2 Client Credentials Flow
Body
application/json
- Option 1
- Option 2
17-character VIN (letters other than I, O and Q, and digits). The check digit is validated before the VIN is decoded. When present, the VIN decides the vehicle and year/make/model fields are ignored.
Pattern:
^[A-HJ-NPR-Z0-9]{17}$Response
The eligibility verdict for the identified vehicle.
Show child attributes
Show child attributes